Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Upgrading SilverStripe

Ask questions about upgrading SilverStripe to the latest version.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

2.4 [User Warning] Cookie 'bypassStaticCache' can't be set.


Reply

10 Posts   2909 Views

Avatar
Gene

5 June 2010 at 4:04am Community Member, 41 Posts

That still doesn't solve the original problem. Calling '?debug' or '?showqueries' causes Silverstripe to echo out a bunch of debug messages before Versioned.php tries to set the 'bypassStaticCache' cookie. This obviously causes an error because the headers have already been sent and then it's trying to set a cookie. Anyone have a solution to this problem?

Avatar
martimiz

11 August 2010 at 2:53am Forum Moderator, 1095 Posts

@Gene: a bit late maybe, but this did the trick for me. In mysite/_config.php:

Director::set_environment_type("test");

Cheers, Martine